CVC4::expr::pickle::MapPickler Class Reference

`#include <pickler.h>`

Inheritance diagram for CVC4::expr::pickle::MapPickler:
[legend]
Collaboration diagram for CVC4::expr::pickle::MapPickler:
[legend]

## Public Member Functions

| MapPickler (ExprManager *em, const VarMap &to, const VarMap &from)
virtual | ~MapPickler () throw ()
void | toPickle (Expr e, Pickle &p) throw (PicklingException)
| Constructs a new Pickle of the node n.
Expr | fromPickle (Pickle &p)
| Constructs a node from a Pickle.

## Static Public Member Functions

static void | debugPickleTest (Expr e)

## Protected Member Functions

virtual uint64_t | variableToMap (uint64_t x) const throw (PicklingException)
virtual uint64_t | variableFromMap (uint64_t x) const

## Detailed Description

Definition at line 102 of file pickler.h.

## Constructor & Destructor Documentation

## MapPickler()

CVC4::expr::pickle::MapPickler::MapPickler | ( | ExprManager * | em,
|  | const VarMap & | to,
|  | const VarMap & | from )

inline

Definition at line 108 of file pickler.h.

## ~MapPickler()

virtual CVC4::expr::pickle::MapPickler::~MapPickler | ( |  | ) |
throw | ( | ) |  |  |

inlinevirtual

Definition at line 114 of file pickler.h.

## Member Function Documentation

## debugPickleTest()

static void CVC4::expr::pickle::Pickler::debugPickleTest | ( | Expr | e | ) |

staticinherited

## fromPickle()

Expr CVC4::expr::pickle::Pickler::fromPickle | ( | Pickle & | p | ) |

inherited

Constructs a node from a Pickle.

This destroys the contents of the Pickle. The node is created in the NodeManager getNM(); TODO: Fix comment

## toPickle()

void CVC4::expr::pickle::Pickler::toPickle | ( | Expr | e,
|  | Pickle & | p )
throw | ( | PicklingException ) |  |  |

inherited

Constructs a new Pickle of the node n.

n must be a node allocated in the node manager specified at initialization time. The new pickle has variables mapped using the VariableIDMap provided at initialization. TODO: Fix comment

Returns
  the pickle, which should be dispose()'d when you're done with it

## variableFromMap()

virtual uint64_t CVC4::expr::pickle::MapPickler::variableFromMap | ( | uint64_t | x | ) | const

protectedvirtual

Reimplemented from CVC4::expr::pickle::Pickler.

## variableToMap()

virtual uint64_t CVC4::expr::pickle::MapPickler::variableToMap | ( | uint64_t | x | ) | const
throw | ( | PicklingException ) |  |  |

inlineprotectedvirtual

Reimplemented from CVC4::expr::pickle::Pickler.

Definition at line 118 of file pickler.h.

The documentation for this class was generated from the following file:

- src/expr/pickler.h